bm::bvector< Alloc >::statistics Struct Reference

Statistical information about bitset's memory allocation details. More...

`#include <bm.h>`

Inheritance diagram for bm::bvector< Alloc >::statistics:
[legend]
Collaboration diagram for bm::bvector< Alloc >::statistics:
[legend]

## Additional Inherited Members

Public Member Functions inherited from bm::bv_statistics
| bv_statistics () BMNOEXCEPT
void | add_bit_block () BMNOEXCEPT
| cound bit block
void | add_gap_block (unsigned capacity, unsigned length, unsigned level) BMNOEXCEPT
| count gap block
void | reset () BMNOEXCEPT
| Reset statisctics.
void | add (const bv_statistics &st) BMNOEXCEPT
| Sum data from another sttructure.
Data Fields inherited from bm::bv_statistics
size_t | bit_blocks
| Number of bit blocks.
size_t | gap_blocks
| Number of GAP blocks.
size_t | ptr_sub_blocks
| Number of sub-blocks.
size_t | bv_count
| Number of bit-vectors.
size_t | max_serialize_mem
| estimated maximum memory for serialization
size_t | memory_used
| memory usage for all blocks and service tables
size_t | gap_cap_overhead
| gap memory overhead between length and capacity
gap_word_t | gap_levels [bm::gap_levels]
| GAP block lengths in the bvect.
unsigned long long | gaps_by_level [bm::gap_levels]
| number of GAP blocks at each level

## Detailed Description

template<class Alloc>
struct bm::bvector< Alloc >::statistics

Statistical information about bitset's memory allocation details.

Examples
  sample11.cpp, sample14.cpp, sample26.cpp, sample3.cpp, sample4.cpp, xsample01.cpp, and xsample07a.cpp.

Definition at line 124 of file bm.h.

The documentation for this struct was generated from the following file:

- bm.h